#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n,m,k1,k2,sreca=0;
    cin>>n>>m;
    int a[n+1];
    pair<int,int>poznanstva[n+1];
    for(int i=1; i<=n; i++)
        poznanstva[i].second=0;
    for(int i=1; i<=n; i++)
    {
        cin>>a[i];
    }
    for(int i=1; i<=m; i++)
    {
        cin>>k1>>k2;
        if(a[k1]<0 && a[k2]>0 && abs(a[k1])>a[k2])
        {
            poznanstva[k1].second--;
            poznanstva[k2].second--;
            sreca+=abs(a[k1])-abs(a[k2]);
        }
        if(a[k2]<0 && a[k1]>0 && abs(a[k2])>a[k1])
        {
            poznanstva[k1].second--;
            poznanstva[k2].second--;
            sreca+=abs(a[k2])-abs(a[k1]);
        }
        if(a[k1]<0 && a[k2]<0)
        {
            poznanstva[k1].second--;
            poznanstva[k2].second--;
            sreca+=abs(a[k1])+abs(a[k2]);
        }
        poznanstva[i].first=i;
        poznanstva[k1].second++;
        poznanstva[k2].second++;
    }
    for(int i=1; i<=n; i++)
    {
        sreca+=a[i]*poznanstva[i].second;
    }
    cout<<sreca;
    return 0;
}